Bug 1462790 - with AFR now making both nodes to return UUID for a file will result in georep consuming more resources
with AFR now making both nodes to return UUID for a file will result in geore...
Status: MODIFIED
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Karthik U S
:
Depends On:
Blocks: 1315781 1462693 1464078 1463250
  Show dependency treegraph
 
Reported: 2017-06-19 10:30 EDT by Karthik U S
Modified: 2017-07-05 00:55 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1462693
: 1463250 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Worker Ant 2017-06-19 10:47:10 EDT
REVIEW: https://review.gluster.org/17576 (cluster/afr: Returning single and list of node uuids from AFR) posted (#1) for review on master by Karthik U S (ksubrahm@redhat.com)
Comment 2 Worker Ant 2017-06-20 02:21:29 EDT
REVIEW: https://review.gluster.org/17576 (cluster/afr: Returning single and list of node uuids from AFR) posted (#2) for review on master by Karthik U S (ksubrahm@redhat.com)
Comment 3 Worker Ant 2017-06-20 08:32:14 EDT
COMMIT: https://review.gluster.org/17576 committed in master by Jeff Darcy (jeff@pl.atyp.us) 
------
commit 475ec9928ef96b63a0bfa859a9ae68709275033c
Author: karthik-us <ksubrahm@redhat.com>
Date:   Mon Jun 19 19:54:36 2017 +0530

    cluster/afr: Returning single and list of node uuids from AFR
    
    Problem:
    The change in afr to return list of node uuids was causing problems
    with geo-rep.
    
    Fix:
    This patch will allow to get the single node uuid as it was doing
    before with the key "GF_XATTR_NODE_UUID_KEY", and will also allow
    to get the list of node uuids by using a new key
    "GF_XATTR_LIST_NODE_UUIDS_KEY". This will solve the problem with
    geo-rep and any other feature which were depending on this.
    
    Change-Id: I09885dac6dfca127be94b708470c8c2941356f9a
    BUG: 1462790
    Signed-off-by: karthik-us <ksubrahm@redhat.com>
    Reviewed-on: https://review.gluster.org/17576
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Ravishankar N <ravishankar@redhat.com>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Jeff Darcy <jeff@pl.atyp.us>
Comment 4 Worker Ant 2017-06-20 09:26:03 EDT
REVIEW: https://review.gluster.org/17581 (cluster/afr: Reverting the change https://review.gluster.org/#/c/17576/) posted (#1) for review on master by Karthik U S (ksubrahm@redhat.com)
Comment 5 Worker Ant 2017-06-20 11:03:01 EDT
REVIEW: https://review.gluster.org/17582 (geo-rep: Updated node-uuid xattr parser for new format) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)
Comment 6 Worker Ant 2017-06-21 07:24:25 EDT
REVIEW: https://review.gluster.org/17594 (cluster/ec: Node uuid xattr support update for EC) posted (#1) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 7 Worker Ant 2017-06-22 03:26:16 EDT
REVIEW: https://review.gluster.org/17594 (cluster/ec: Node uuid xattr support update for EC) posted (#2) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 8 Worker Ant 2017-06-22 08:15:15 EDT
REVIEW: https://review.gluster.org/17594 (cluster/ec: Node uuid xattr support update for EC) posted (#3) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 9 Worker Ant 2017-06-22 08:34:52 EDT
REVIEW: https://review.gluster.org/17594 (cluster/ec: Node uuid xattr support update for EC) posted (#4) for review on master by Sunil Kumar Acharya (sheggodu@redhat.com)
Comment 10 Worker Ant 2017-06-22 22:56:39 EDT
COMMIT: https://review.gluster.org/17594 committed in master by Pranith Kumar Karampuri (pkarampu@redhat.com) 
------
commit 0c0bc42ddfef4f05b50c3d1510e93ef3ec292a56
Author: Sunil Kumar Acharya <sheggodu@redhat.com>
Date:   Wed Jun 21 16:37:09 2017 +0530

    cluster/ec: Node uuid xattr support update for EC
    
    Problem:
    The change in EC to return list of node uuids for
    GF_XATTR_NODE_UUID_KEY was causing problems with
    geo-rep.
    
    Fix:
    This patch will allow to get the single node uuid
    as it was doing before with the key
    "GF_XATTR_NODE_UUID_KEY", and will also allow to get
    the list of node uuids by using a new key
    "GF_XATTR_LIST_NODE_UUIDS_KEY". This will solve
    the problem with geo-rep and any other features which
    were depending on this.
    
    BUG: 1462790
    Change-Id: I2d9214a9658d4a41a3d6de08600884d2bda5f3eb
    Signed-off-by: Sunil Kumar Acharya <sheggodu@redhat.com>
    Reviewed-on: https://review.gluster.org/17594
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Xavier Hernandez <xhernandez@datalab.es>
    Reviewed-by: Pranith Kumar Karampuri <pkarampu@redhat.com>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>

Note You need to log in before you can comment on or make changes to this bug.